package com.ishunwan.interactive_game_sdk;

import android.content.Context;

import com.ishunwan.player.interactivegame.SWGameClient;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

/**
 * Created by ysh on 2020-09-10 14:15
 */
public class PlayViewFactory extends PlatformViewFactory {
    BinaryMessenger mMessenger;
    SWGameClient mSWGameClient;
    public PlayViewFactory(BinaryMessenger messenger) {
        super(StandardMessageCodec.INSTANCE);
        mMessenger = messenger;
    }
    public void setGameClient(SWGameClient swGameClient){
        mSWGameClient = swGameClient;
    }
    @Override
    public PlatformView create(Context context, int i, Object o) {
        return new SWFlutterPlayerView(context, mMessenger,i,mSWGameClient);
    }
}
